## Example Todo App using Goffee framework
This repository contains the code for an example todo app using [Goffee framework](https://git.smarteching.com/goffee)

### How to run locally?
1- Clone the repository  
2- Next add your database credentials (mysql) to the `.env` file
3- `cd` into the project dir and run `go mod tidy` to install any missing dependency 
4- Run the app using Goffee's cli tool [Goffee](https://git.smarteching.com/goffee/goffee)
```bash
 goffee run:dev
```
if [Goffee](https://git.smarteching.com/goffee/goffee) is not installed you can install it by executing the following command
```bash
go install git.smarteching.com/goffee/goffee@latest

```

All routers are defined in the file `routes.go`

All request controllers are defined in the directory `controllers/`